Bug 213862 - editors/emacs-nox11 fails to build on arm64 (no sbrk)
Summary: editors/emacs-nox11 fails to build on arm64 (no sbrk)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: emacs
URL:
Keywords:
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2016-10-28 18:33 UTC by Glen Barber
Modified: 2018-06-10 12:01 UTC (History)
8 users (show)

See Also:
bugzilla: maintainer-feedback? (ashish)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Glen Barber freebsd_committer 2016-10-28 18:33:44 UTC
gmake[3]: Leaving directory '/wrkdirs/usr/ports/editors/emacs-nox11/work/emacs-25.1/admin/unidata'
cc -Demacs  -I. -I. -I../lib -I../lib         -I/usr/local/include/libxml2             -MMD -MF deps/.d -MP    -Wno-switch -Wno-tautological-constant-out-of-range-compare -Wno-pointer-sign -Wno-string-plus-int -Wno-unknown-attributes  -O2 -pipe  -fno-strict-aliasing  -Wl,-znocombreloc   \
  -o temacs  vm-limit.o dispnew.o frame.o scroll.o xdisp.o menu.o  window.o charset.o coding.o category.o ccl.o character.o chartab.o bidi.o cm.o term.o terminal.o xfaces.o    emacs.o keyboard.o macros.o keymap.o sysdep.o buffer.o filelock.o insdel.o marker.o minibuf.o fileio.o dired.o cmds.o casetab.o casefiddle.o indent.o search.o regex.o undo.o alloc.o data.o doc.o editfns.o callint.o eval.o floatfns.o fns.o font.o print.o lread.o dynlib.o emacs-module.o syntax.o unexelf.o bytecode.o process.o gnutls.o callproc.o region-cache.o sound.o atimer.o doprnt.o intervals.o textprop.o composite.o xml.o kqueue.o  profiler.o decompress.o          terminfo.o lastfile.o gmalloc.o     ../lib/libgnu.a                 -lrt  -lexecinfo    -L/usr/local/lib -lxml2     -lutil  -lncurses         -lpthread  -lm -lz
alloc.o: In function `Fmemory_limit':
alloc.c:(.text+0x65e8): undefined reference to `sbrk'
unexelf.o: In function `unexec':
unexelf.c:(.text+0x200): undefined reference to `sbrk'
gmalloc.o: In function `__default_morecore':
gmalloc.c:(.text+0x8): undefined reference to `sbrk'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[2]: *** [Makefile:596: temacs] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/editors/emacs-nox11/work/emacs-25.1/src'
gmake[1]: *** [Makefile:398: src] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/editors/emacs-nox11/work/emacs-25.1'
*** Error code 1

Stop.
make: stopped in /usr/ports/editors/emacs-nox11
Comment 1 Ashish SHUKLA freebsd_committer 2016-11-07 06:51:02 UTC
Sorry for the delay in follow-up. I have reported this upstream as bug 24892[1]. I will follow-up there, although if you folks have more information than what is provided there, please free to post there.

References:
[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24892

Thanks!
Comment 2 Kenji Rikitake 2016-12-24 09:13:58 UTC
Is this issue still valid? I've been using Emacs 25.1 on 11.0-STABLE/amd64 r310436 with or without X11. I just compiled emacs-devel aka emacs-devel-25.2.50.20161001_1,2 on 11.0-STABLE/amd64 r310436 and it compiled OK without issues.
Comment 3 Kenji Rikitake 2016-12-25 02:13:46 UTC
(In reply to Kenji Rikitake from comment #2)
I was confused that I misunderstood the ARM64 issue as amd64 issue. My bad. Please disregard my previous comment.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2017-01-31 04:53:39 UTC
Currently marked BROKEN on arm64.
Comment 5 Ed Maste freebsd_committer 2017-11-20 21:11:02 UTC
The GNU bug report claims that it is fixed in 26.1
Comment 6 Ed Maste freebsd_committer 2018-04-10 19:09:17 UTC
And indeed emacs-devel builds on arm64

Will editors/emacs be updated to at least 26.1?
Comment 7 Joseph Mingrone freebsd_committer 2018-04-10 19:14:59 UTC
(In reply to Ed Maste from comment #6)

It will.  The first release candidate for 26.1 was just released yesterday, so hopefully we will get the fix in the tree soon.

https://alpha.gnu.org/gnu/emacs/pretest/
Comment 8 Ed Maste freebsd_committer 2018-04-10 19:28:45 UTC
(In reply to Joseph Mingrone from comment #7)
Great, thank you!

I was unfamiliar with emacs' release schedule and based on my statement in Comment 5 I assumed it was already released; I guess the statement was from in-progress release notes for the then-future release.
Comment 9 Joseph Mingrone freebsd_committer 2018-06-10 02:12:30 UTC
editors/emacs was updated to 26.1, so we should be able to close this.  Could we get confirmation?
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2018-06-10 02:32:58 UTC
With base having been updated to 26.1, IMHO this can be closed.
Comment 11 mikael.urankar 2018-06-10 11:57:30 UTC
It builds fine on aarch64:
http://mikael.urankar.free.fr/FreeBSD/aarch64/build_logs/emacs-26.1%2C3.log
Comment 12 Joseph Mingrone freebsd_committer 2018-06-10 12:01:04 UTC
Thanks for confirming.